Subject: 'Official' IPv6 Support 

Description: IPv6 support is unofficial at the moment.


It would be nice to have more official support for it (not that there seems to be an issue with it working)





History

2010-08-09 14:51 - admin

IPv6 hasn't been as reliable as the IPv4, and the blocker on me calling it non-beta is that is should be resilient like the IPv4.





At the moment Jump has two core routers, each in a different suite at Telehouse, and all the racks are connected to both with redundant connections. 

Should either router die for any reason (e.g. hardware failure with router, power outage in one of the suites etc.) then VRRP moves BitFolk's default 

gateway to the other router.





With IPv6 however, its own neighbour discovery is being used and each of Jump's routers has a different IPv6 address. If BitFolk (and all its 

customers) were using dynamic IPv6 setup then we would hear announcements and change default gateway within a few seconds. Unfortunately, 

BitFolk has to use a routed setup to route IPv6 to you and Linux radvd won't run when IP forwarding is enabled. As a result, BitFolk does not get an 

updated IPv6 default gateway when one of the routers goes down.





This will probably need to be fixed by running a real routing daemon on multiple boxes.





I'm not willing to call IPv6 production ready while the entire of BitFolk's IPv6 transit has a single point of failure, even if it can be remedied by updating 

each box's default gateway upon receiving an alert.

2016-06-06 04:42 - halleck

Current status of the Bitfolk IPv6? https://bitfolk.com/customer_information.html#toc_3_Does_BitFolk_support_IPv6_ claims that it's still not officially 

supported?

2016-06-06 05:04 - admin

- Status changed from New to Closed

Yes, that should have been updated a long time ago. I've now done this. There might be other references to IPv6 being unofficial elsewhere, but they 

would also be a bug.
